aagc.ws

## Class AAGC

- java.lang.Object
- - aagc.ws.AAGC

-     public class AAGC
      extends java.lang.Object

  Non viene riportata la semantica del tag "return" che è presente nelle risposte di tutti i servizi.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AAGC()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AssistibileGetAssistibileInAnagrafe` | `getAssistibileInAnagrafe(condivisi.vo.DatiOperatore datiOperatore, condivisi.vo.DatiApplicativo datiApplicativo, java.lang.String codAssistito, java.lang.String dataRiferimento)` Servizio che fornisce tutti i dati necessari ad una completa descrizione della posizione anagrafica dell'assistito ad una certa data di riferimento; l'assistito sarà individuato mediante codice fiscale.
    `AssistibiliResponse` | `getAssistibili(condivisi.vo.DatiOperatore datiOperatore, condivisi.vo.DatiApplicativo datiApplicativo, java.lang.String codFiscale, java.lang.String codSanitario, Filtro_grp filtro_grp)` Questo servizio consente di ritrovare la posizione anagrafica di uno o più assistibili presenti nell'anagrafe sanitaria della Regione Puglia, che soddisfano il criterio di ricerca specificato.
    `ElencoAssistibiliPianoECareResponse` | `getElencoAssistibiliPianoECare(condivisi.vo.DatiOperatore datiOperatore, condivisi.vo.DatiApplicativo datiApplicativo, java.lang.String codiceRegionale)` Questo servizio consente di recuperare l'elenco degli assistiti eleggibili.
    `EsenzioniAttiveResponse` | `getEsenzioniAttive(condivisi.vo.DatiOperatore datiOperatore, condivisi.vo.DatiApplicativo datiApplicativo, java.lang.String codFiscale, java.lang.String dataRiferimento)` Questo servizio consente di recuperare i dati relativi alle esenzioni dalla partecipazione al costo delle prestazioni sanitarie riconosciute, ad una certa data, al cittadino il cui codice fiscale è specificato in input.
    `ListaAssistitiMedicoResponse` | `getListaAssistitiMedico(condivisi.vo.DatiOperatore datiOperatore, condivisi.vo.DatiApplicativo datiApplicativo, java.lang.String codiceMedico, java.lang.String dataRiferimento)` Questo servizio consente di ritrovare i dati anagrafici di uno o più assistibili, presenti nell'anagrafe sanitaria della Regione Puglia, che alla data di riferimento risultano in carico al medico con codice regionale fornito in input.
    `ListaEsentiResponse` | `getListaEsenti(condivisi.vo.DatiOperatore datiOperatore, condivisi.vo.DatiApplicativo datiApplicativo, java.lang.String codRegionale)` Questo servizio consente di recuperare l'elenco degli assistiti in carico alla data di sistema al medico di base specificato.
    `ListaScelteRevocheResponse` | `getListaScelteRevoche(condivisi.vo.DatiOperatore datiOperatore, condivisi.vo.DatiApplicativo datiApplicativo, java.lang.String codiceMedico, java.lang.String dataInizioPeriodo, java.lang.String dataFinePeriodo)` Questo servizio consente di ritrovare, per un medico il cui codice è fornito in input, la lista dei movimenti di scelta e revoca degli assistiti in un periodo di riferimento.
    `SetAssistitiPianoECareResponse` | `setElencoAssistibiliPianoECare(condivisi.vo.DatiOperatore datiOperatore, condivisi.vo.DatiApplicativo datiApplicativo, java.lang.String codiceRegionale, SetAssistitiPianoECareRequest.AssistitiInviatiPianoECare assistitiInviatiPianoECare, java.lang.String totaleAssistitiInviati)` Servizio che consente al medico di validare l’elenco ricevuto da Edotto, eventualmente integrato di ulteriori assistiti ritenuti cronici.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AAGC

          public AAGC()

  - ### Method Detail

    - #### getAssistibileInAnagrafe

          public AssistibileGetAssistibileInAnagrafe getAssistibileInAnagrafe(condivisi.vo.DatiOperatore datiOperatore,
                                                                     condivisi.vo.DatiApplicativo datiApplicativo,
                                                                     java.lang.String codAssistito,
                                                                     java.lang.String dataRiferimento)

      Servizio che fornisce tutti i dati necessari ad una completa descrizione della posizione anagrafica dell'assistito ad una certa data di riferimento; l'assistito sarà individuato mediante codice fiscale. Nel caso in cui il cittadino risulti iscritto in anagrafe, verranno forniti i dati relativi all'eventuale iscrizione attiva e all'indicazione del medico scelto. I dati attinenti il domicilio dell'assistito e la sua cittadinanza, verranno forniti solo se la data di riferimento impostata risulti uguale a quella di richiesta del servizio.
      Parameters:
        `datiOperatore` - - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codAssistito` - - codice fiscale dell'assistito da ricercare. parametro obbligatorio.
        `dataRiferimento` - - data di riferimento nel formato 'GG/MM/YYYY'. Questa data non deve essere successiva a quella odierna. parametro obbligatorio.
      Returns:
        AssistibileGetAssistibileInAnagrafe dati dell'assistibile in anagrafe ritrovato.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 000005: Dato non valido: codice fiscale o codice sanitario
        - 000162: L'assistito non risulta presente nell'anagrafe sanitaria regionale
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### getAssistibili

          public AssistibiliResponse getAssistibili(condivisi.vo.DatiOperatore datiOperatore,
                                           condivisi.vo.DatiApplicativo datiApplicativo,
                                           java.lang.String codFiscale,
                                           java.lang.String codSanitario,
                                           Filtro_grp filtro_grp)

      Questo servizio consente di ritrovare la posizione anagrafica di uno o più assistibili presenti nell'anagrafe sanitaria della Regione Puglia, che soddisfano il criterio di ricerca specificato. La ricerca verrà eseguita per codice fiscale o codice regionale o, in alternativa, combinando le seguenti proprietà: il nome (anche parziale), il cognome (che dovrà essere specificato per intero), il codice ISTAT del comune di nascita, la data (nel formato 'GG/MM/AAAA') oppure l'anno (nel formato 'AAAA') di nascita ed il sesso. Il servizio restituirà al massimo un solo assistito nel caso in cui sia stato inserito l'identificativo dell'assistito (codice fiscale o codice sanitario) o se i criteri di ricerca inseriti ne permettono l'individuazione univoca. Restituirà un elenco nel caso in cui gli assistiti presenti nell'anagrafe sanitaria che soddisfano i criteri di ricerca siano più di uno. Il servizio ritorna solo il codice fiscale, il cognome ed il nome di un assistito nel caso in cui questo non abbia iscrizione USL attiva alla data odierna. Nel caso di cambio di codice fiscale il servizio restituisce anche il nuovo codice fiscale ossia il codice fiscale che sostituisce la posizione anagrafica restituita per quell'assistito.
      Parameters:
        `datiOperatore` - - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codFiscale` - - codice fiscale dell'assistito da ricercare. parametro facoltativo.
        `codSanitario` - - codice sanitario dell'assistito da ricercare. parametro facoltativo.
        `filtro_grp` - - filtri di ricerca. parametro facoltativo.
      Returns:
        AssistibiliResponse elenco di assistibili che soddisfano i criteri di ricerca.
      Throws:
        `SoapFaultException:` - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 000014: Inserire il codice assistito oppure gli altri dati.
        - 000005: Dato non valido: cognome, nome o anno di nascita
        - 000052: Il codice fiscale inserito è sbagliato; verificare la correttezza della sintassi.
        - 000017: La data inserita non è valida perché posteriore a quella odierna.
        - 000053: L'anno inserito non è valido in quanto successivo a quello attuale.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### getListaAssistitiMedico

          public ListaAssistitiMedicoResponse getListaAssistitiMedico(condivisi.vo.DatiOperatore datiOperatore,
                                                             condivisi.vo.DatiApplicativo datiApplicativo,
                                                             java.lang.String codiceMedico,
                                                             java.lang.String dataRiferimento)

      Questo servizio consente di ritrovare i dati anagrafici di uno o più assistibili, presenti nell'anagrafe sanitaria della Regione Puglia, che alla data di riferimento risultano in carico al medico con codice regionale fornito in input. La ricerca verrà eseguita utilizzando il codice regionale e la data di riferimento.
      Parameters:
        `datiOperatore` - - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codiceMedico` - - codice regionale del medico di base. E' un numerico di lunghezza 6. parametro obbligatorio.
        `dataRiferimento` - - data di riferimento nel formato 'GG/MM/YYYY'. parametro obbligatorio. Questa data non deve essere successiva a quella odierna.
      Returns:
        ListaAssistitiMedicoResponse elenco di assistiti in carico al medico.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio.
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000153: E' obbligatorio inserire la data di riferimento.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000006: Inserire correttamente la data, specificando GG MM AAAA.
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### getListaScelteRevoche

          public ListaScelteRevocheResponse getListaScelteRevoche(condivisi.vo.DatiOperatore datiOperatore,
                                                         condivisi.vo.DatiApplicativo datiApplicativo,
                                                         java.lang.String codiceMedico,
                                                         java.lang.String dataInizioPeriodo,
                                                         java.lang.String dataFinePeriodo)

      Questo servizio consente di ritrovare, per un medico il cui codice è fornito in input, la lista dei movimenti di scelta e revoca degli assistiti in un periodo di riferimento. Per tali occorrenze, il servizio riporta le date di movimentazione e le date di registrazione della variazione di scelta e revoca.
      Parameters:
        `datiOperatore` - - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codiceMedico` - - codice regionale del medico di base. parametro obbligatorio.
        `dataInizioPeriodo` - - Inizio periodo di riferimento su cui effettuare la ricerca. Il formato deve essere 'GG/MM/YYYY'. parametro obbligatorio.
        `dataFinePeriodo` - - Fine periodo di riferimento su cui effettuare la ricerca. Il formato deve essere 'GG/MM/YYYY'. parametro obbligatorio.
      Returns:
        ListaScelteRevocheResponse elenco delle operazioni di scelta e/o revoca ritrovate.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000061: Valorizzare almeno un periodo di ricerca.
        - 000062: Il periodo di ricerca non è valido; impostare la data di inizio periodo.
        - 000006: Inserire correttamente la data, specificando GG MM AAAA.
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000122: Il periodo di ricerca non è valido; impostare la data di fine periodo.
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### getEsenzioniAttive

          public EsenzioniAttiveResponse getEsenzioniAttive(condivisi.vo.DatiOperatore datiOperatore,
                                                   condivisi.vo.DatiApplicativo datiApplicativo,
                                                   java.lang.String codFiscale,
                                                   java.lang.String dataRiferimento)

      Questo servizio consente di recuperare i dati relativi alle esenzioni dalla partecipazione al costo delle prestazioni sanitarie riconosciute, ad una certa data, al cittadino il cui codice fiscale è specificato in input. Il cittadino deve risultare alla data di invocazione in carico al medico di base che invoca il servizio. Il servizio inoltre ritorna, per le sole esenzioni specialistiche, le prestazioni specialistiche correlate per le quali l'assistito non partecipa alla spesa sanitaria. Se l'esenzione non prevede restrizioni e quindi agisce sull'intero tarrifario, le prestazioni specialistiche correlate non vengono restituite.
      Parameters:
        `datiOperatore` - - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codFiscale` - - codice fiscale dell'assistito. parametro obbligatorio.
        `dataRiferimento` - - data alla quale si riferisce la richiesta. Il formato deve essere 'GG/MM/YYYY'. Questa data non deve essere successiva a quella odierna. parametro obbligatorio.
      Returns:
        EsenzioniAttiveResponse elenco delle esenzioni attive.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile
        - 000162: L'assistito non risulta presente nell'anagrafe sanitaria regionale
        - 000005: Dato non valido
        - 000017: La data inserita non e' valida perche' posteriore a quella odierna
        - 000273: Alla data odierna l'assistito non risulta avere una scelta medico attiva.
        - 000313: Alla data odierna l'assistito non risulta essere in carico al medico di base.

    - #### getListaEsenti

          public ListaEsentiResponse getListaEsenti(condivisi.vo.DatiOperatore datiOperatore,
                                           condivisi.vo.DatiApplicativo datiApplicativo,
                                           java.lang.String codRegionale)

      Questo servizio consente di recuperare l'elenco degli assistiti in carico alla data di sistema al medico di base specificato. Per ognuno di essi, oltre al codice fiscale, il servizio restituisce le esenzioni riconosciute alla data odierna all'assistito (codificate con 8 caratteri ed il gruppo a 3 caratteri) ed inoltre ritorna, per le sole esenzioni specialistiche, le prestazioni specialistiche correlate per le quali l'assistito non partecipa alla spesa sanitaria. Se l'esenzione non prevede restrizioni e quindi agisce sull'intero tarrifario, le prestazioni specialistiche correlate non vengono restituite.
      Parameters:
        `datiOperatore` - - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codRegionale` - - codice regionale del medico di base. Il codice regionale specificato deve essere coerente con il codice fiscale specificato in DatiOperatore. parametro obbligatorio.
      Returns:
        ListaEsentiResponse dati relativi agli assistiti in carico con eventuali esenzioni.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### getElencoAssistibiliPianoECare

          public ElencoAssistibiliPianoECareResponse getElencoAssistibiliPianoECare(condivisi.vo.DatiOperatore datiOperatore,
                                                                           condivisi.vo.DatiApplicativo datiApplicativo,
                                                                           java.lang.String codiceRegionale)

      Questo servizio consente di recuperare l'elenco degli assistiti eleggibili. La ASL produce in Edotto un elenco di assistiti eleggibili in carico a ciascun medico. Gli elenchi vengono resi disponibili al download mediante questo servizio. Ciascun medico, a partire dalla data di disponibilità in Edotto dell’elenco degli assistiti eleggibili, ha 30 giorni di tempo per scaricare i dati sul proprio applicativo, confermando, modificando o aggiungendo nuovi assistiti sulla base del proprio parere. Terminata la verifica, il medico trasmette l’intero elenco verso Edotto, eventualmente integrato di ulteriori assistiti, mediante il servizio setElencoAssistibiliPianoECare.
      Parameters:
        `datiOperatore` - - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codRegionale` - - codice regionale del medico di base. Il codice regionale specificato deve essere coerente con il codice fiscale specificato in DatiOperatore. parametro obbligatorio.
      Returns:
        ElencoAssistibiliPianoECareResponse restituisce l’elenco degli assistiti eleggibili.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile

    - #### setElencoAssistibiliPianoECare

          public SetAssistitiPianoECareResponse setElencoAssistibiliPianoECare(condivisi.vo.DatiOperatore datiOperatore,
                                                                      condivisi.vo.DatiApplicativo datiApplicativo,
                                                                      java.lang.String codiceRegionale,
                                                                      SetAssistitiPianoECareRequest.AssistitiInviatiPianoECare assistitiInviatiPianoECare,
                                                                      java.lang.String totaleAssistitiInviati)

      Servizio che consente al medico di validare l’elenco ricevuto da Edotto, eventualmente integrato di ulteriori assistiti ritenuti cronici.
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codRegionale` - - Codice regionale del medico di base. Il codice regionale specificato deve essere coerente con il codice fiscale specificato in DatiOperatore. parametro obbligatorio.
        `assistitiInviatiPianoECare` - - Elenco degli assistiti da validare. parametro obbligatorio.
        `totaleAssistitiInviati` - - Numero totale di assistibili trasmessi. parametro obbligatorio.
      Returns:
        SetAssistitiPianoECareResponse restituisce l'esito dell'operazione. In caso di esito negativo restituisce l'elenco delle anomalie. Ciascuna anomalia è composta dal codFiscale - Codice fiscale dell’assistito con anomalia e descAnomalia - Descrizione dell’anomalia.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile